# RefCountPointer< T > Class Template Reference

Super class of all the reference counted wrappers for Items. More...

`#include <ReferenceCounted.hpp>`

List of all members.

## Public Member Functions

| RefCountPointer (T *p=0)
template<class T2>
| RefCountPointer (const RefCountPointer< T2 > &o)
| RefCountPointer (const RefCountPointer< T > &o)
RefCountPointer & | operator= (const RefCountPointer< T > &o)
| ~RefCountPointer ()
T * | operator-> () const
| operator T * () const
T * | get () const
bool | isNull () const
bool | notNull () const

## Protected Attributes

T * | _p

## Detailed Description

### template<class T>
class RefCountPointer< T >

Super class of all the reference counted wrappers for Items.

## Constructor & Destructor Documentation

template<class T>
RefCountPointer< T >::RefCountPointer | ( | T * | p = `0` | ) | `[inline]`

template<class T>
template<class T2>
RefCountPointer< T >::RefCountPointer | ( | const RefCountPointer< T2 > & | o | ) | `[inline]`

template<class T>
RefCountPointer< T >::RefCountPointer | ( | const RefCountPointer< T > & | o | ) | `[inline]`

template<class T>
RefCountPointer< T >::~RefCountPointer | ( |  | ) | `[inline]`

## Member Function Documentation

template<class T>
T* RefCountPointer< T >::get | ( |  | ) | const`[inline]`

template<class T>
bool RefCountPointer< T >::isNull | ( |  | ) | const`[inline]`

template<class T>
bool RefCountPointer< T >::notNull | ( |  | ) | const`[inline]`

template<class T>
RefCountPointer< T >::operator T * | ( |  | ) | const`[inline]`

template<class T>
T* RefCountPointer< T >::operator-> | ( |  | ) | const`[inline]`

template<class T>
RefCountPointer& RefCountPointer< T >::operator= | ( | const RefCountPointer< T > & | o | ) | `[inline]`

## Member Data Documentation

template<class T>
T* RefCountPointer< T >::_p `[protected]`

The documentation for this class was generated from the following file:

- ReferenceCounted.hpp